%define oname muCommander

Name: mucommander
Version: 0.9.2
Release: %mkrel 3
Summary: muCommander is a lightweight, cross-platform file manager
License: GPLv3, LGPLv3, ASL 2.0, BSD, CC-BY, ICU
Group: File tools
URL: http://www.mucommander.com
Source0: https://github.com/mucommander/mucommander/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1: %{name}.png
Source2: %{name}
Source3: %{name}.desktop
BuildArch: noarch
Requires: java >= 1.6.0

%description
muCommander is a lightweight, cross-platform file manager with a dual-pane
interface. It runs on any operating system with Java support
(Mac OS X, Windows, Linux, *BSD, Solaris...).
 
Here's a non-exhaustive list of what you'll find:

* Virtual filesystem with support for local volumes,
    FTP, SFTP, SMB, NFS, HTTP, Amazon S3, Hadoop HDFS and Bonjour
* Quickly copy, move, rename files, create directories, email files...
* Browse, create and uncompress ZIP, RAR, 7z, TAR, GZip, BZip2, ISO/NRG,
    AR/Deb and LST archives
* ZIP files can be modified on-the-fly, without having to recompress the 
    whole archive
* Universal bookmarks and credentials manager
* Multiple windows support
* Full keyboard access
* Highly configurable
* Available in 23 languages : American & British English, French, German,
    Spanish, Czech, Simplified & Traditional Chinese, Polish, Hungarian,
    Russian, Slovenian, Romanian, Italian, Korean, Brazilian Portuguese,
    Dutch, Slovak, Japanese, Swedish, Danish, Ukrainian and Arabic.
* Free Software (GPL)

%prep 
%setup -q -n %{oname}-%version

%build
# nothing

%install
%__install -dm 755 %{buildroot}%{_javadir}
%__install -dm 755 %{buildroot}%{_javadir}/%{name}
cp -f *.jar %{buildroot}%{_javadir}/%{name}/
cp -f *.sh %{buildroot}%{_javadir}/%{name}/
mkdir -p %{buildroot}/%{_datadir}/pixmaps
%__install -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/applications/

%files
%doc license.txt readme.txt
%{_javadir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_bindir}/%{name}


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.9.2-3.mga8
+ Revision: 1502203
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.9.2-2.mga7
+ Revision: 1279959
- Mageia 7 Mass Rebuild

* Wed Nov 01 2017 zezinho <zezinho> 0.9.2-1.mga7
+ Revision: 1175341
- new version

* Tue Feb 09 2016 umeabot <umeabot> 0.9.0-6.mga6
+ Revision: 951689
- Mageia 6 Mass Rebuild

* Wed Jan 07 2015 alexl <alexl> 0.9.0-5.mga5
+ Revision: 809059
- updated desktop file and moved from spec into separate source

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-4.mga5
+ Revision: 739289
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-3.mga5
+ Revision: 682688
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 alexl <alexl> 0.9.0-2.mga5
+ Revision: 662199
- translated desktop file

* Mon Apr 14 2014 alexl <alexl> 0.9.0-1.mga5
+ Revision: 614014
- imported package mucommander


* Fri Jul 8 2011 Joaquín Moreno <joaquinmandriva@gmail.com>
- Packaged to Mageia (Blogdrake Repository)


* Mon Mar 15 2010 Egner Quero <legnerquero@gmail.com> 0.8.5
- Packaged to Blogdrake Repository
